public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-accessibility/at-spi2-atk/
Date: Mon, 18 Feb 2019 19:00:31 +0000 (UTC)	[thread overview]
Message-ID: <1550516258.3ff644a70f0ff47861279fd7805a0acde0d9a1ab.leio@gentoo> (raw)

commit:     3ff644a70f0ff47861279fd7805a0acde0d9a1ab
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  7 07:39:12 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Feb 18 18:57:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ff644a7

app-accessibility/at-spi2-atk: Version bump to 2.30.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-accessibility/at-spi2-atk/Manifest             |  1 +
 .../at-spi2-atk/at-spi2-atk-2.30.0.ebuild          | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-accessibility/at-spi2-atk/Manifest b/app-accessibility/at-spi2-atk/Manifest
index 96aceac6124..18e357fbb49 100644
--- a/app-accessibility/at-spi2-atk/Manifest
+++ b/app-accessibility/at-spi2-atk/Manifest
@@ -1,2 +1,3 @@
 DIST at-spi2-atk-2.24.1.tar.xz 308576 BLAKE2B 92b96c54cd5a2dbd8a3dddbaa3188b3396ef8e4631cc9438e4ba57da27672d509babae3415c66d2c6afc74855ff0536d4cc6f24a8cecf66478021d350b3572a1 SHA512 5dbc186c7ea4f7f34aa0acaf90f683e549162caa274ba5b5818ae9992b52f1b475923d9818870978e87e3dacdf1018db31810d2d53b39bb4f068bcb64a423f23
 DIST at-spi2-atk-2.26.2.tar.xz 322800 BLAKE2B 108a01fd8c16816d9953ad42721080dd6dcb9f75c95c412387d7f54920998c66eb5855eb859e8e00096a47b387d05779691887a7717d31f4c70681d69a9c8266 SHA512 f938b8e2b999fcdfa13e9433bd13c39430bae2ceae0c664a24caccc6af522947bf73de02de3c359807f5370a85961193df2ba24b193b60b915c61828ea747bb2
+DIST at-spi2-atk-2.30.0.tar.xz 94824 BLAKE2B 65f8abb034a610e8aaa72c4d0e3c93fa03f6737cbf8bff28c885c654ba3fe98e8750e6398326e47069f12d33f75eae729cbafdfca31a3a0ab7b233ba3f8a4c58 SHA512 d7a02c347e31d78da81455cff77b44ab6d9e11add8d9457fba6a6b354cef731ab73e8a83060c150f3ef3d5191bfbc649618360a61c9826816b1aafb3e2bea7d5

diff --git a/app-accessibility/at-spi2-atk/at-spi2-atk-2.30.0.ebuild b/app-accessibility/at-spi2-atk/at-spi2-atk-2.30.0.ebuild
new file mode 100644
index 00000000000..67f644bcf2a
--- /dev/null
+++ b/app-accessibility/at-spi2-atk/at-spi2-atk-2.30.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome.org meson multilib-minimal virtualx
+
+DESCRIPTION="Gtk module for bridging AT-SPI to Atk"
+HOMEPAGE="https://wiki.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="test"
+
+RDEPEND="
+	>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
+	>=dev-libs/glib-2.32:2[${MULTILIB_USEDEP}]
+	>=dev-libs/atk-2.30.0[${MULTILIB_USEDEP}]
+	>=app-accessibility/at-spi2-core-2.30.0[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig[${MULTILIB_USEDEP}]
+	test? ( >=dev-libs/libxml2-2.9.1 )
+"
+
+multilib_src_configure() {
+	local emesonargs=(
+		-Ddisable_p2p=$(usex test false true)
+	)
+	meson_src_configure
+}
+
+multilib_src_compile() {
+	meson_src_compile
+}
+
+multilib_src_test() {
+	virtx dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+multilib_src_install() {
+	meson_src_install
+}


             reply	other threads:[~2019-02-18 19:00 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-18 19:00 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-16 18:10 [gentoo-commits] repo/gentoo:master commit in: app-accessibility/at-spi2-atk/ Arthur Zamarin
2022-05-17  7:56 WANG Xuerui
2022-05-13  5:06 Matt Turner
2021-05-21  0:51 Yixun Lan
2021-03-15 18:06 Sergei Trofimovich
2021-01-07  7:45 Fabian Groffen
2020-11-08  3:51 Matt Turner
2020-07-29 11:23 Mart Raudsepp
2020-07-29  4:49 Sam James
2020-03-14 22:33 Mart Raudsepp
2020-02-09 15:56 Mart Raudsepp
2020-02-09 15:56 Mart Raudsepp
2020-01-11 19:40 Mart Raudsepp
2020-01-01 16:06 Mart Raudsepp
2019-12-08 11:55 Mikle Kolyada
2019-11-17 20:35 Mart Raudsepp
2019-10-21 19:51 Matt Turner
2019-10-09  8:27 Agostino Sarubbo
2019-09-19  7:15 Mart Raudsepp
2019-05-09 20:04 Aaron Bauman
2019-03-11 18:17 Mart Raudsepp
2019-02-28 17:05 Mikle Kolyada
2019-02-18 19:00 Mart Raudsepp
2019-01-23 13:41 Mikle Kolyada
2019-01-19 20:09 Mart Raudsepp
2018-12-29 20:43 Mart Raudsepp
2018-12-29 16:00 Sergei Trofimovich
2018-12-28  3:46 Matt Turner
2018-12-15 12:50 Sergei Trofimovich
2018-12-11 23:24 Sergei Trofimovich
2018-12-09 23:51 Thomas Deutschmann
2018-12-08  9:44 Sergei Trofimovich
2018-12-08  9:36 Sergei Trofimovich
2018-12-07 21:26 Richard Freeman
2018-08-30 22:54 Mart Raudsepp
2018-02-16 20:39 Sergei Trofimovich
2018-01-18  1:49 Mikle Kolyada
2018-01-13 12:13 Sergei Trofimovich
2017-08-15 22:44 Gilles Dartiguelongue
2017-05-23 18:08 Mart Raudsepp
2016-12-06 19:48 Markus Meier
2016-11-01 17:31 Gilles Dartiguelongue
2016-06-24 20:06 Pacho Ramos
2016-05-03 19:19 Markus Meier
2015-11-16 21:56 Pacho Ramos
2015-11-16 21:56 Pacho Ramos
2015-10-03  8:09 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550516258.3ff644a70f0ff47861279fd7805a0acde0d9a1ab.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox